Home

Retrieve usage statistics

GET
https://api.nownodes.io/v1.0/statistics

Authorizations

ApiKeyAuthApiKeyAuth

token string

NOWNodes API key passed in the api-key header.

Returns detailed statistics about API requests made using your API keys. This endpoint provides information about request counts, types, dates, and blockchain nodes used.

Parameters

current_subscriptionbooleantruefalserequiredquery

Determines the time period for statistics:

  • true - displays statistics for the active (current) subscription period only
  • false - displays statistics from the first request record to today's date
blockchain_tickerArray<string>adaaktalgoALPHaptarbardrARKATLAatomauroraavaxaxlBABYbandbasebchbdagBERAblastBLDbnbbsvbtcbtgcelocfxclocmpcorecoreumcsprdashdcrdgbdividogedotdot-assethubegldeosetcethethwfetfiat-ratesfilfiroflrFLUXftmglmrgrsHBARHypeicxinjinj-indexeriotakaiakaskavakmdksmksm-assethublinealskltclunalunclyxmarket-datamaticMetisMONmtrnanonearneooneontoposmopivxplsqieQTUMQTUM-testnetrskrvnSSEIshibsolSorobanSoroban TestnetstraxstrdstrkSTXsuisysTAOthetatiatomotontrxUnichainVCvetWemixxdcxecxemxlayerxlmxmrxplxrdxrpxrp-evmxtzxvgzeczenzetazilzkquery

Filter statistics by specific blockchain ticker(s). Multiple values can be provided as an array.

request_typestringhttpwssquery

Filter statistics by the type of API request. http for HTTP requests or wss for WebSocket connections.

api_keystringquery

Filter statistics by a specific API key name. The value should match the exact name of the API key.

date_fromstring<date>query

The start date for the statistics period (inclusive). Date format: YYYY-MM-DD. Constraints depend on current_subscription:

  • If current_subscription=true: date cannot be earlier than the subscription start date
  • If current_subscription=false: date cannot be earlier than the first request record date
date_tostring<date>query

The end date for the statistics period (inclusive). Date format: YYYY-MM-DD. Constraints depend on current_subscription:

  • If current_subscription=true: date cannot be later than the subscription end date
  • If current_subscription=false: date cannot be later than today's date
calls_count_orderstringascdescquery

Sort order for the results based on the number of API calls. asc for ascending (lowest first) or desc for descending (highest first).

date_orderstringascdescquery

Sort order for the results based on the date. asc for chronological order (oldest first) or desc for reverse chronological order (newest first).

Response

200OK

Successful response containing usage statistics.

400Bad Request

Bad Request — One or more query parameters are invalid or missing.

401Unauthorized

Invalid or missing token.

403Forbidden

Token does not have access to this endpoint.

500Internal Server Error

Internal server error.